Discussions at recent workshops have made it clear that one of the key barriers to collaboration between high energy physics and the machine learning community is access to training data. Recent successes in data sharing through the [HiggsML](http://doi.org/10.7483/OPENDATA.ATLAS.ZBP2.M5T8) and [Flavours of Physics](https://www.kaggle.com/c/flavours-of-physics/data) Kaggle challenges have borne much fruit, but required significant effort to coordinate.

While static simulated datasets are useful for challenges, in the course of investigating new machine learning techniques it is advantageous to be able to generate training data on demand (e.g. Refs. [1](https://archive.ics.uci.edu/ml/datasets/HEPMASS), [2](https://archive.ics.uci.edu/ml/datasets/SUSY), [3](https://archive.ics.uci.edu/ml/datasets/HIGGS) ). 
Therefore we recommend efforts be made to produce the ingredients required to facilitate such collaboration:
   * Specific challenges for HEP experiments should be fully specified such that minimal domain-specific knowledge is required to attack them.
   * Stand-alone simulators should be made open source. They should be developed to be easy to use without domain-specific expertise, while still being representative of real experimental challenges. Such a simulation will permit non-HEP researchers to generate realistic HEP datasets for training and testing. These simulators could range from truth-level simulation of a hard scattering to fast simulation like [Delphes](http://dx.doi.org/10.1007/JHEP02(2014)057), to full [GEANT4](http://dx.doi.org/10.1016/S0168-9002(03)01368-8) simulation of sensor arrays.
   * Performance metrics (objective functions) and operational constraints should be defined to evaluate proposed solutions.
